<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Forms</title>
</head>
<body>
	<h2 align="center">Welcome to the Forms Page.</h2>
	<!-- 
		Semantic tags are new additions to HTML. Semantic tags are also containers for elements but unlike divs they are definitive and describes its contents without relying to semantic id, However, em, strong, emphasis are also considered semantic tags.<i><b>.

		semantic containers such as nav, main, section, etc. These semantic containers are now more preffered by developers because it aids SEO, browsers as well as other developers.
	 -->
	 <main>
	 	<!-- section are used to show parts of a page or content. -->
	 	<section>
	 		<h2>HTML Forms</h2>
	 		<p>
	 			HTML Forms are used to gather information/data from our user and that information to a server.
	 		</p>
	 	</section>
	 	<section>
	 		<!-- form tags allows to create a form. we can gather and send user inputs from our forms. -->
	 		<!-- action attribute is used to define where the information gathered will be passed after submission. -->
	 		<form action="https://google.com">
	 			<!-- label tags create a text element that serves as a label to input filled. we can add a for attributes to this elelment such that when this label is clicked our cursor will be moved into our input. -->
	 			<label for="fname">Full Name:</label>
	 			<br>
	 			<!-- 
					input tag allows us to create an input element which can be used to add user input.

					type attribute in input element allows us to identify what kind of information is to be gathered. It also affects the behavior of the input element.

					name attribute allows us to provide  a name, identifier for the Value of the input elements. This is used to identify values of an input in a form data.

					id attribute allows us to identify the input elements. It is also used reference of the for attribute by appropriata label elements.

					required attribute will not allow the form ti be submitted untilthe input element has value or data.

					autocomplete attribute provide suggestions for inputs and allows for better user experience.

					type="date" for an input element changes the behavior of the input elements and only allows the input of dates.
						
					 type="number" allows us to only input numbers.

					 min and max attributes allows us to add a minimum or maximum number to be input in our number type input element.

	 			 -->
	 			<input type="text" name="fullname" id="fname" required autocomplete>
	 			<br>
	 			<label for="bday">Birthdate</label>
	 			<br>
	 			<input type="date" name="bdate" id="bday" required>
	 			<br>
	 			<label for="ageInput">Age:</label>
	 			<br>
	 			<input type="number" name="age" id="age" min="18" max="40" required>
	 			<br>
	 			<br>
	 			<!-- gender -->
	 			<!--
	 			 select tag allows us to create a dropdown menu to select an option. only one you can pass 
					
				 option tags allows us to create the options/choices available  for our select tag.

				 we provide a value attribute per option as this will be the data sent with our form.
	 			-->
	 			<label for="genderInput">Gender</label>
	 			<select name="gender" id="genderInput">
	 				<option value="male">Male</option>
	 				<option value="female">Female</option>
	 				<option value="others">Others</option>
	 			</select>
	 			<br>
	 			<br>
	 			<label>New User?</label>
	 			<br>
	 			<!--
	 			 radio type input allows us to create radio buttons which lets userss pass a single piece of information based on multiple other radio button.
				
				the name attribute of a radio button should be the same to allow only one value to be stored or passed with our form. this will then allow multiple selection of our radio buttons.

	 			 -->
	 			<input type="radio" name="new_user" id="radioUser1" value="yes"> 
	 			<label for="radioUser1">Yes</label>
	 			<input type="radio" name="new_user" id="radioUser2" value="no"> 
	 			<label for="radioUser2">No</label>
	 			<br>
	 			<br>
	 			<!-- 
	 			 checkbox 

	 			 -->
	 			<label>Role:</label>
	 			<br>
	 			<input type="checkbox" name="role1" id="roleInput1" value="developer">
	 			<label for="roleInput1">Developer</label>
	 			<br>
	 			<input type="checkbox" name="role2" id="roleInput2" value="student">
	 			<label for="roleInput2">Student</label>
	 			<br>
	 			<input type="checkbox" name="role3" id="roleInput3" value="manager">
	 			<label for="roleInput3">Manager</label>
	 			<br>
	 			<br>
	 			<!-- buttons are in different purposes in HTML, when buttons are used in a form, they are used to submit the form. Thus, we add type="submit" attribute 

				reset the whole form
	 			-->
	 			<button type="submit">Submit</button>
	 			<button type="reset">Reset</button>
	 		</form>
	 	</section>
	 </main>
</body>
</html>
